[Bug 1584404] [NEW] Sync sqlite3 3.13.0-1 (main) from Debian unstable (main)

Logan Rosen loganrosen at gmail.com
Sun May 22 00:00:23 UTC 2016


Public bug reported:

Please sync sqlite3 3.13.0-1 (main) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * debian/rules: compile SQLite with SQLITE_ENABLE_FTS3_TOKENIZER to re-enable
    the two-argument version of fts3_tokenizer() used by mediascanner2
    (LP: #1546911)
Fixed in 3.11.0-2.

Changelog entries since current yakkety version 3.11.0-1ubuntu1:

sqlite3 (3.13.0-1) unstable; urgency=low

  * New upstream release.
  * Enable session extension with its preupdate hook; update library symbols
    accordingly.
  * Update 30-cross.patch to this release.

 -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Thu, 19 May 2016 14:58:03
+0000

sqlite3 (3.12.2-1) unstable; urgency=low

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Wed, 20 Apr 2016 11:06:29
+0000

sqlite3 (3.12.1-1) unstable; urgency=low

  * New upstream, bugfix release:
    - fix segfault following heavy SAVEPOINT usage (closes: #820225),
    - fix segfault on 'unique primary key' and 'without rowid'
      (closes: #736463).
  * Don't force ldconfig in postinst (closes: #820499).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Sat, 09 Apr 2016 16:02:33
+0000

sqlite3 (3.12.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Fri, 01 Apr 2016 15:08:53
+0000

sqlite3 (3.11.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Fri, 04 Mar 2016 18:04:44
+0100

sqlite3 (3.11.0-3) unstable; urgency=low

  * Enable FTS5 extension (closes: #816463) and update library symbols
    accordingly.

 -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Wed, 02 Mar 2016 17:16:56
+0100

sqlite3 (3.11.0-2) unstable; urgency=low

  * Compile with SQLITE_ENABLE_FTS3_TOKENIZER for backwards compatibility
    (closes: #815499).
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Tue, 23 Feb 2016 21:31:39
+0100

** Affects: sqlite3 (Ubuntu)
     Importance: Wishlist
         Status: New

** Changed in: sqlite3 (Ubuntu)
   Importance: Undecided => Wishlist

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to sqlite3 in Ubuntu.
https://bugs.launchpad.net/bugs/1584404

Title:
  Sync sqlite3 3.13.0-1 (main) from Debian unstable (main)

Status in sqlite3 package in Ubuntu:
  New

Bug description:
  Please sync sqlite3 3.13.0-1 (main) from Debian unstable (main)

  Explanation of the Ubuntu delta and why it can be dropped:
    * debian/rules: compile SQLite with SQLITE_ENABLE_FTS3_TOKENIZER to re-enable
      the two-argument version of fts3_tokenizer() used by mediascanner2
      (LP: #1546911)
  Fixed in 3.11.0-2.

  Changelog entries since current yakkety version 3.11.0-1ubuntu1:

  sqlite3 (3.13.0-1) unstable; urgency=low

    * New upstream release.
    * Enable session extension with its preupdate hook; update library symbols
      accordingly.
    * Update 30-cross.patch to this release.

   -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Thu, 19 May 2016
  14:58:03 +0000

  sqlite3 (3.12.2-1) unstable; urgency=low

    * New upstream, bugfix release.

   -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Wed, 20 Apr 2016
  11:06:29 +0000

  sqlite3 (3.12.1-1) unstable; urgency=low

    * New upstream, bugfix release:
      - fix segfault following heavy SAVEPOINT usage (closes: #820225),
      - fix segfault on 'unique primary key' and 'without rowid'
        (closes: #736463).
    * Don't force ldconfig in postinst (closes: #820499).
    * Update Standards-Version to 3.9.8 .

   -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Sat, 09 Apr 2016
  16:02:33 +0000

  sqlite3 (3.12.0-1) unstable; urgency=low

    * New upstream release.

   -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Fri, 01 Apr 2016
  15:08:53 +0000

  sqlite3 (3.11.1-1) unstable; urgency=low

    * New upstream release.

   -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Fri, 04 Mar 2016
  18:04:44 +0100

  sqlite3 (3.11.0-3) unstable; urgency=low

    * Enable FTS5 extension (closes: #816463) and update library symbols
      accordingly.

   -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Wed, 02 Mar 2016
  17:16:56 +0100

  sqlite3 (3.11.0-2) unstable; urgency=low

    * Compile with SQLITE_ENABLE_FTS3_TOKENIZER for backwards compatibility
      (closes: #815499).
    * Update Standards-Version to 3.9.7 .

   -- Laszlo Boszormenyi (GCS) <gcs at debian.org>  Tue, 23 Feb 2016
  21:31:39 +0100

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sqlite3/+bug/1584404/+subscriptions



More information about the foundations-bugs mailing list